org.apache.solr.core

## Class NodeConfig.NodeConfigBuilder

- java.lang.Object
- - org.apache.solr.core.NodeConfig.NodeConfigBuilder

- Enclosing class:
    NodeConfig

      public static class NodeConfig.NodeConfigBuilder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_CORE_LOAD_THREADS`
    `static int` | `DEFAULT_CORE_LOAD_THREADS_IN_CLOUD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeConfigBuilder(String nodeName, SolrResourceLoader loader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeConfig` | `build()`
    `NodeConfig.NodeConfigBuilder` | `setBackupRepositoryPlugins(PluginInfo[] backupRepositoryPlugins)`
    `NodeConfig.NodeConfigBuilder` | `setCloudConfig(CloudConfig cloudConfig)`
    `NodeConfig.NodeConfigBuilder` | `setCollectionsAdminHandlerClass(String collectionsAdminHandlerClass)`
    `NodeConfig.NodeConfigBuilder` | `setConfigSetBaseDirectory(String configSetBaseDirectory)`
    `NodeConfig.NodeConfigBuilder` | `setConfigSetsHandlerClass(String configSetsHandlerClass)`
    `NodeConfig.NodeConfigBuilder` | `setCoreAdminHandlerClass(String coreAdminHandlerClass)`
    `NodeConfig.NodeConfigBuilder` | `setCoreLoadThreads(int coreLoadThreads)`
    `NodeConfig.NodeConfigBuilder` | `setCoreRootDirectory(String coreRootDirectory)`
    `NodeConfig.NodeConfigBuilder` | `setInfoHandlerClass(String infoHandlerClass)`
    `NodeConfig.NodeConfigBuilder` | `setLogWatcherConfig(LogWatcherConfig logWatcherConfig)`
    `NodeConfig.NodeConfigBuilder` | `setManagementPath(String managementPath)`
    `NodeConfig.NodeConfigBuilder` | `setShardHandlerFactoryConfig(PluginInfo shardHandlerFactoryConfig)`
    `NodeConfig.NodeConfigBuilder` | `setSharedLibDirectory(String sharedLibDirectory)`
    `NodeConfig.NodeConfigBuilder` | `setSolrProperties(Properties solrProperties)`
    `NodeConfig.NodeConfigBuilder` | `setTransientCacheSize(int transientCacheSize)`
    `NodeConfig.NodeConfigBuilder` | `setUpdateShardHandlerConfig(UpdateShardHandlerConfig updateShardHandlerConfig)`
    `NodeConfig.NodeConfigBuilder` | `setUseSchemaCache(boolean useSchemaCache)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CORE_LOAD_THREADS

          public static final int DEFAULT_CORE_LOAD_THREADS

      See Also:
        Constant Field Values

    - #### DEFAULT_CORE_LOAD_THREADS_IN_CLOUD

          public static final int DEFAULT_CORE_LOAD_THREADS_IN_CLOUD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NodeConfigBuilder

          public NodeConfigBuilder(String nodeName,
                                   SolrResourceLoader loader)

  - ### Method Detail

    - #### setCoreRootDirectory

          public NodeConfig.NodeConfigBuilder setCoreRootDirectory(String coreRootDirectory)

    - #### setConfigSetBaseDirectory

          public NodeConfig.NodeConfigBuilder setConfigSetBaseDirectory(String configSetBaseDirectory)

    - #### setSharedLibDirectory

          public NodeConfig.NodeConfigBuilder setSharedLibDirectory(String sharedLibDirectory)

    - #### setShardHandlerFactoryConfig

          public NodeConfig.NodeConfigBuilder setShardHandlerFactoryConfig(PluginInfo shardHandlerFactoryConfig)

    - #### setUpdateShardHandlerConfig

          public NodeConfig.NodeConfigBuilder setUpdateShardHandlerConfig(UpdateShardHandlerConfig updateShardHandlerConfig)

    - #### setCoreAdminHandlerClass

          public NodeConfig.NodeConfigBuilder setCoreAdminHandlerClass(String coreAdminHandlerClass)

    - #### setCollectionsAdminHandlerClass

          public NodeConfig.NodeConfigBuilder setCollectionsAdminHandlerClass(String collectionsAdminHandlerClass)

    - #### setInfoHandlerClass

          public NodeConfig.NodeConfigBuilder setInfoHandlerClass(String infoHandlerClass)

    - #### setConfigSetsHandlerClass

          public NodeConfig.NodeConfigBuilder setConfigSetsHandlerClass(String configSetsHandlerClass)

    - #### setLogWatcherConfig

          public NodeConfig.NodeConfigBuilder setLogWatcherConfig(LogWatcherConfig logWatcherConfig)

    - #### setCloudConfig

          public NodeConfig.NodeConfigBuilder setCloudConfig(CloudConfig cloudConfig)

    - #### setCoreLoadThreads

          public NodeConfig.NodeConfigBuilder setCoreLoadThreads(int coreLoadThreads)

    - #### setTransientCacheSize

          public NodeConfig.NodeConfigBuilder setTransientCacheSize(int transientCacheSize)

    - #### setUseSchemaCache

          public NodeConfig.NodeConfigBuilder setUseSchemaCache(boolean useSchemaCache)

    - #### setManagementPath

          public NodeConfig.NodeConfigBuilder setManagementPath(String managementPath)

    - #### setSolrProperties

          public NodeConfig.NodeConfigBuilder setSolrProperties(Properties solrProperties)

    - #### setBackupRepositoryPlugins

          public NodeConfig.NodeConfigBuilder setBackupRepositoryPlugins(PluginInfo[] backupRepositoryPlugins)

    - #### build

          public NodeConfig build()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.